Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# DBM_Filter::encode

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# DBM_Filter::encode

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR

# NAME

DBM_Filter::encode - filter for DBM_Filter

# SYNOPSIS

        use SDBM_File; # or DB_File, GDBM_File, NDBM_File, ODBM_File    use DBM_Filter ;    $db = tie %hash, ...    $db->Filter_Push('encode' => 'iso-8859-16');

# DESCRIPTION

This DBM filter allows you to choose the character encoding will be store in the DBM file. The usage is

        $db->Filter_Push('encode' => ENCODING);

where "ENCODING" must be a valid encoding name that the Encode module recognises.

A fatal error will be thrown if:

1

  The Encode module is not available.

2

  The encoding requested is not supported by the Encode module.

# SEE ALSO

DBM_Filter, perldbmfilter, Encode

# AUTHOR

Paul Marquess pmqs@cpan.org

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR